Ofcas.Lk.Api.Client - Version 3.0 3.0.0.112

Public Attributes | Properties | List of all members
Ofcas.Lk.Api.Client.Core.PhaseInfo Class Reference

Represents a metadata object for a phase. More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.PhaseInfo:

## Public Attributes
Guid | Guid => Data.Guid
| Gets the GUID of the phase. More...
string | Name => Data.Name
| Gets the name of the phase. More...
string | Description => Data.Description
| Gets the description of the phase. More...

## Properties
bool | Deleted`[get]`
| Gets the deleted status of the phase. More...
bool | IsDeleted = false`[get]`
| Gets the deleted status of the phase. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreInfo< PhaseInfoData, Project, ProjectInfo >
TData | Data`[get]`
TParent | ParentInfo`[get, set]`
TParentObject | Parent`[get, set]`
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreInfoDeletable
bool | Deleted`[get]`
| Indicated if this core info is deleted. More...
bool | IsDeleted`[get]`
| Indicated if this core info is deleted. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreInfoWithGuid
Guid | Guid`[get]`
| The globally unique identifier of an info object. More...

## Additional Inherited Members
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreInfo< PhaseInfoData, Project, ProjectInfo >
| CoreInfo (TData data)
| CoreInfo (TData data, TParent parent)

## Detailed Description

Represents a metadata object for a phase.

## Member Data Documentation

## ◆ Description

string Ofcas.Lk.Api.Client.Core.PhaseInfo.Description => Data.Description

Gets the description of the phase.

## ◆ Guid

Guid Ofcas.Lk.Api.Client.Core.PhaseInfo.Guid => Data.Guid

Gets the GUID of the phase.

## ◆ Name

string Ofcas.Lk.Api.Client.Core.PhaseInfo.Name => Data.Name

Gets the name of the phase.

## Property Documentation

## ◆ Deleted

bool Ofcas.Lk.Api.Client.Core.PhaseInfo.Deleted
| get

Gets the deleted status of the phase.

## ◆ IsDeleted

bool Ofcas.Lk.Api.Client.Core.PhaseInfo.IsDeleted = false
| get

Gets the deleted status of the phase.

The documentation for this class was generated from the following file:

- PhaseInfo.cs